import { AssetResponseDto } from "../dtos/asset-response.dto";
import { AuthDto } from "../dtos/auth.dto";
import { ViewService } from "../services/view.service";
export declare class ViewController {
    private service;
    constructor(service: ViewService);
    getUniqueOriginalPaths(auth: AuthDto): Promise<string[]>;
    getAssetsByOriginalPath(auth: AuthDto, path: string): Promise<AssetResponseDto[]>;
}
